| OpenCV 3.4.1 Open Source Computer Vision

Public Member Functions | List of all members
cv::videostab::KeypointBasedMotionEstimator Class Reference
Video Stabilization » Global Motion Estimation

Describes a global 2D motion estimation method which uses keypoints detection and optical flow for matching. More...

`#include "global_motion.hpp"`

Inheritance diagram for cv::videostab::KeypointBasedMotionEstimator:

## Public Member Functions
| KeypointBasedMotionEstimator (Ptr< MotionEstimatorBase > estimator)
Ptr< FeatureDetector > | detector () const
virtual Mat | estimate (const Mat &frame0, const Mat &frame1, bool *ok=0)
Mat | estimate (InputArray frame0, InputArray frame1, bool *ok=0)
virtual MotionModel | motionModel () const
Ptr< ISparseOptFlowEstimator > | opticalFlowEstimator () const
Ptr< IOutlierRejector > | outlierRejector () const
void | setDetector (Ptr< FeatureDetector > val)
virtual void | setMotionModel (MotionModel val)
void | setOpticalFlowEstimator (Ptr< ISparseOptFlowEstimator > val)
void | setOutlierRejector (Ptr< IOutlierRejector > val)
Public Member Functions inherited from cv::videostab::ImageMotionEstimatorBase
virtual | ~ImageMotionEstimatorBase ()

## Additional Inherited Members
Protected Member Functions inherited from cv::videostab::ImageMotionEstimatorBase
| ImageMotionEstimatorBase (MotionModel model)

## Detailed Description

Describes a global 2D motion estimation method which uses keypoints detection and optical flow for matching.

## Constructor & Destructor Documentation

## § KeypointBasedMotionEstimator()

cv::videostab::KeypointBasedMotionEstimator::KeypointBasedMotionEstimator | ( | Ptr< MotionEstimatorBase > | estimator | ) |

## Member Function Documentation

## § detector()

Ptr<FeatureDetector> cv::videostab::KeypointBasedMotionEstimator::detector | ( |  | ) | const
| inline

## § estimate() [1/2]

virtual Mat cv::videostab::KeypointBasedMotionEstimator::estimate | ( | const Mat & | frame0,
|  | const Mat & | frame1,
|  | bool * | ok = `0`
| ) |  |
| virtual

Implements cv::videostab::ImageMotionEstimatorBase.

## § estimate() [2/2]

Mat cv::videostab::KeypointBasedMotionEstimator::estimate | ( | InputArray | frame0,
|  | InputArray | frame1,
|  | bool * | ok = `0`
| ) |  |

## § motionModel()

virtual MotionModel cv::videostab::KeypointBasedMotionEstimator::motionModel | ( |  | ) | const
| inline virtual

Reimplemented from cv::videostab::ImageMotionEstimatorBase.

## § opticalFlowEstimator()

Ptr<ISparseOptFlowEstimator> cv::videostab::KeypointBasedMotionEstimator::opticalFlowEstimator | ( |  | ) | const
| inline

## § outlierRejector()

Ptr<IOutlierRejector> cv::videostab::KeypointBasedMotionEstimator::outlierRejector | ( |  | ) | const
| inline

## § setDetector()

void cv::videostab::KeypointBasedMotionEstimator::setDetector | ( | Ptr< FeatureDetector > | val | ) |
| inline

## § setMotionModel()

virtual void cv::videostab::KeypointBasedMotionEstimator::setMotionModel | ( | MotionModel | val | ) |
| inline virtual

Reimplemented from cv::videostab::ImageMotionEstimatorBase.

## § setOpticalFlowEstimator()

void cv::videostab::KeypointBasedMotionEstimator::setOpticalFlowEstimator | ( | Ptr< ISparseOptFlowEstimator > | val | ) |
| inline

## § setOutlierRejector()

void cv::videostab::KeypointBasedMotionEstimator::setOutlierRejector | ( | Ptr< IOutlierRejector > | val | ) |
| inline

The documentation for this class was generated from the following file:

- videostab/include/opencv2/videostab/global_motion.hpp